Common monads for Ruby.


Keywords
dry-rb, functional-programming, gem, monad, ruby, rubygem
License
MIT
Install
gem install dry-monads -v 1.3.5

Documentation

dry-monads Join the chat at https://dry-rb.zulipchat.com

Gem Version CI Status Codacy Badge Codacy Badge Inline docs

Links

Supported Ruby versions

This library officially supports the following Ruby versions:

  • MRI >= 2.4
  • jruby >= 9.2

License

See LICENSE file.